收藏
回答

Can't find variable: _wxAppCode_

问题模块 框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
API和组件 小程序 Bug _wxAppCode_ 客户端 6.7.3 1.9.95

- 当前 Bug 的表现


- 预期表现 : 正常打开


- 复现路径: 目前出现问题的手机(iphone 6, 微信版本是6.7.3 ,但找到相同的机型和微信版本并不能复现),出现问题之后怎么操作都是打开报这错误


- 提供一个最简复现 Demo


回答关注问题邀请回答
收藏

1 个回答

  • 社区技术运营专员-灵芝
    社区技术运营专员-灵芝
    2018-11-05

    请提供出现问题的机型和微信版本、基础库版本,以及能复现问题的简单代码片段https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html

    2018-11-05
    赞同
    回复 2
    • 水
      2018-11-06

      WXS 文件 导致的,在开发文档中写着"wxs 不依赖于运行时的基础库版本,可以在所有版本的小程序中运行。"但是没考虑到低版本的IOS系统,发现用户是ios 8.8.* 中运行小程序,会对包解析错误,提示  Can't find variable: _wxAppCode_。

      最终解决:不适用WXS,改为JS写


      2018-11-06
      回复
    • PancoLee
      PancoLee
      2018-11-28回复

      楼主可以详细说一下错误原因吗?

      2018-11-28
      回复
登录 后发表内容